Permalink
Browse files

Ruby 1.9 compat: don't rely on lexical scoping since the included blo…

…ck is called from dependency_module
  • Loading branch information...
1 parent 4c52ba2 commit 1fa7e3322dc8ceac0da3b2b516ca338ee36c89a9 @jeremy jeremy committed May 22, 2009
Showing with 2 additions and 2 deletions.
  1. +2 −2 actionpack/lib/action_controller/new_base/render_options.rb
@@ -41,7 +41,7 @@ module RenderOption
included do
extend ActiveSupport::DependencyModule
- depends_on RenderOptions
+ depends_on ::ActionController::RenderOptions
def self.register_renderer(name)
included { _add_render_option(name) }
@@ -83,4 +83,4 @@ def _render_update(proc, options)
end
end
end
-end
+end

0 comments on commit 1fa7e33

Please sign in to comment.